Upload a new file
Upload a file that can be used across various endpoints.
Authorization[Bearer <token>]
In: header
Header Parameters
OpenAI-Organization?[Openai-Organization]
Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
OpenAI-Project?[Openai-Project]
Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization
file[File]
The File object (not file name) to be uploaded.
purpose[Purpose]
The intended purpose of the uploaded file.
Value in
"assistants" | "assistants_output" | "batch" | "batch_output" | "fine-tune" | "fine-tune-results" | "vision" | "user_data" | "evals"Response Body
curl -X POST "https://deepfellow-server-host/v1/files" \ -H "OpenAI-Organization: string" \ -H "OpenAI-Project: string" \ -F file="string" \ -F purpose="assistants"{
"id": "5eb7cf5a86d9755df3a6c593",
"project_id": "5eb7cf5a86d9755df3a6c593",
"object": "file",
"bytes": 0,
"filename": "string",
"purpose": "assistants",
"created_at": 0,
"expires_at": 0,
"extracted_metadata": {
"property1": "string",
"property2": "string"
},
"summary": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.